Index: src/Parameters/Parameter.hpp
===================================================================
--- src/Parameters/Parameter.hpp	(revision 9e67225a5c7cf21573d492a8db3d99c41a8404d7)
+++ src/Parameters/Parameter.hpp	(revision b11f5e894a1e470524372e3a267d6162ee110847)
@@ -46,5 +46,5 @@
   const T & get() const throw(ParameterValueException);
   void set(const T & _value) throw(ParameterValueException);
-  void setAsString(const std::string _value) throw(ParameterValueException);
+  void setAsString(const std::string &_value) throw(ParameterValueException);
 
   // comparator
Index: src/Parameters/Parameter_impl.hpp
===================================================================
--- src/Parameters/Parameter_impl.hpp	(revision 9e67225a5c7cf21573d492a8db3d99c41a8404d7)
+++ src/Parameters/Parameter_impl.hpp	(revision b11f5e894a1e470524372e3a267d6162ee110847)
@@ -189,5 +189,5 @@
  */
 template<typename T>
-inline void Parameter<T>::setAsString(const std::string _value) throw(ParameterValueException)
+inline void Parameter<T>::setAsString(const std::string &_value) throw(ParameterValueException)
 {
   try {
Index: src/Parameters/Value.hpp
===================================================================
--- src/Parameters/Value.hpp	(revision 9e67225a5c7cf21573d492a8db3d99c41a8404d7)
+++ src/Parameters/Value.hpp	(revision b11f5e894a1e470524372e3a267d6162ee110847)
@@ -40,5 +40,5 @@
 template <class T>
 struct ConvertTo< std::vector<T> > {
-  std::vector<T> operator()(std::string _object) {
+  std::vector<T> operator()(const std::string &_object) {
     std::vector<T> returnobjects;
     std::stringstream s;
@@ -77,7 +77,7 @@
 
   // string functions for ValueInterface
-  bool isValidAsString(const std::string _value) const throw(ParameterValidatorException);
+  bool isValidAsString(const std::string &_value) const throw(ParameterValidatorException);
   const std::string getAsString() const throw(ParameterValueException);
-  void setAsString(const std::string _value) throw(ParameterException);
+  void setAsString(const std::string &_value) throw(ParameterException);
 
   // comfortable setter
Index: src/Parameters/ValueAsString.hpp
===================================================================
--- src/Parameters/ValueAsString.hpp	(revision 9e67225a5c7cf21573d492a8db3d99c41a8404d7)
+++ src/Parameters/ValueAsString.hpp	(revision b11f5e894a1e470524372e3a267d6162ee110847)
@@ -26,7 +26,7 @@
 
   // string functions
-  virtual bool isValidAsString(const std::string _value) const=0;
+  virtual bool isValidAsString(const std::string &_value) const=0;
   virtual const std::string getAsString() const=0;
-  virtual void setAsString(const std::string _value)=0;
+  virtual void setAsString(const std::string &_value)=0;
 };
 
Index: src/Parameters/Value_impl.hpp
===================================================================
--- src/Parameters/Value_impl.hpp	(revision 9e67225a5c7cf21573d492a8db3d99c41a8404d7)
+++ src/Parameters/Value_impl.hpp	(revision b11f5e894a1e470524372e3a267d6162ee110847)
@@ -154,5 +154,5 @@
  */
 template <class T>
-inline bool Value<T>::isValidAsString(const std::string _value) const throw(ParameterValidatorException)
+inline bool Value<T>::isValidAsString(const std::string &_value) const throw(ParameterValidatorException)
 {
   const T castvalue = Converter(_value);
@@ -177,5 +177,5 @@
  */
 template <class T>
-inline void Value<T>::setAsString(const std::string _value) throw(ParameterException)
+inline void Value<T>::setAsString(const std::string &_value) throw(ParameterException)
 {
   const T castvalue = Converter(_value);
Index: src/Parameters/Value_string.cpp
===================================================================
--- src/Parameters/Value_string.cpp	(revision 9e67225a5c7cf21573d492a8db3d99c41a8404d7)
+++ src/Parameters/Value_string.cpp	(revision b11f5e894a1e470524372e3a267d6162ee110847)
@@ -38,5 +38,5 @@
 
 template <>
-bool Value<std::string>::isValidAsString(const std::string _value) const throw(ParameterValidatorException)
+bool Value<std::string>::isValidAsString(const std::string &_value) const throw(ParameterValidatorException)
 {
   return isValid(_value);
@@ -44,5 +44,5 @@
 
 template <>
-void Value<std::string>::setAsString(const std::string _value) throw(ParameterException)
+void Value<std::string>::setAsString(const std::string &_value) throw(ParameterException)
 {
   set(_value);
Index: src/Parameters/Value_string.hpp
===================================================================
--- src/Parameters/Value_string.hpp	(revision 9e67225a5c7cf21573d492a8db3d99c41a8404d7)
+++ src/Parameters/Value_string.hpp	(revision b11f5e894a1e470524372e3a267d6162ee110847)
@@ -19,8 +19,8 @@
 
 template <>
-bool Value<std::string>::isValidAsString(const std::string _value) const throw(ParameterValidatorException);
+bool Value<std::string>::isValidAsString(const std::string &_value) const throw(ParameterValidatorException);
 
 template <>
-void Value<std::string>::setAsString(const std::string _value) throw(ParameterException);
+void Value<std::string>::setAsString(const std::string &_value) throw(ParameterException);
 
 #endif /* VALUE_STRING_HPP_ */
Index: src/Parser/MpqcParser_Parameters.hpp
===================================================================
--- src/Parser/MpqcParser_Parameters.hpp	(revision 9e67225a5c7cf21573d492a8db3d99c41a8404d7)
+++ src/Parser/MpqcParser_Parameters.hpp	(revision b11f5e894a1e470524372e3a267d6162ee110847)
@@ -21,5 +21,4 @@
 
 #include "Parser/FormatParser_Parameters.hpp"
-
 
 class MpqcParser;
